<?php

$us_timeline_data = array(
  'categories' => array(),
  'series' =>array(),
  );

if (!empty($uses) ) {  
  
  foreach($uses as $us_key => $us_value){
    $sitefouille_nom = $us_value->get('sitefouille_nom') ; 
    $us_id = $us_value->get('us_id') ;
    $us_id_ident = hash('crc32', $us_id ) ;
    $identification = $us_value->get('us_identification') ;
    // $nombre_er = $us_value->get('er_count') ; 
    $us_id = $us_value->get('us_id') ;
    $us_content = '<small>';
    $us_content .= ' <span id="detail_'.$us_id.'" data-toggle="tooltip" data-placement="right" title="d&eacute;tail U.S. ">';
    // $us_content .= ' <a href="'.$this->getRequest('Dashboard_Us', 'show', array($us_id) ) .'" target="_blank" title="d&eacute;tail US '.$identification.'">'.$identification.'</a></span>' ;
    $us_content .= ' <a href="#" onClick="showEvent(\''.$us_id.'\')">'.$identification.'</a></span>' ;
    // $us_content .= ' <span class="badge">'.$nombre_er.'</span>';
    $us_content .= '</small>';
    
    /* Récupération des Dates de la phase Chronologique potentiellement renseignée */    
    $phasechrono_debut = $us_value->has('phasechrono_datatdebbas_aaaa') ? $us_value->get('phasechrono_datatdebbas_aaaa') : null ;
    $us_debut = $us_value->has('tpq_aaaa') ? $us_value->get('tpq_aaaa') : null ;
    $us_debut = !empty($us_debut) ? $us_debut : (!empty($phasechrono_debut) ? intval($phasechrono_debut): -500 ) ;
    
    $phasechrono_fin = $us_value->has('phasechrono_datatfinhaut_aaaa') ? $us_value->get('phasechrono_datatfinhaut_aaaa') : null ;    
    $us_fin = $us_value->has('taq_aaaa') ? $us_value->get('taq_aaaa') : null ;
    $us_fin = !empty($us_fin) ? $us_fin : (!empty($phasechrono_fin) ? intval($phasechrono_fin) : 2015 )  ;     
     
    
    /*  
    $us_timeline_data['categories'][$us_key] = array(
      'id' => hash('crc32', $us_id ) ,
      'title' => $identification,
      'content' => $us_content,
      'start' => $us_value->get('tpq_aaaa'),
    ) ;
    */
    $us_timeline_data['categories'][] = $identification  ;
    $us_timeline_data['series'][] =array($us_debut,$us_fin ) ; 
    /*
    array (
      'color' => '#'.substr(hash('crc32', $us_value->get('phasechrono_identification') ), -6 ), 
      'data' => array($us_debut,$us_fin )
    ) ;
    */
    
    /*
    if (!empty($us_fin) && $us_fin != '00-00-0000'  ){
      $us_timeline_data[$us_key]['end'] = $us_fin ;  
    } else { 
      $us_timeline_data[$us_key]['type']= 'point'; 
    }
    */
    
  }
}
  // JSON_NUMERIC_CHECK transforme les chaines numérique en numériques (enleve les "")
  $us_timeline_data = json_encode($us_timeline_data, JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;
  
  // test si page autonome ( dans un layout ) ou incluse dans une autre.
  // permet de ne pas redefinir l'appel highcharts de multiple fois
  if (!$this->getLayout()->getEnabled() ) { 
?>
<!--   <script src="http://code.highcharts.com/highcharts.js"></script>
  <script src="http://code.highcharts.com/highcharts-more.js"></script>
  <script src="http://code.highcharts.com/modules/exporting.js"></script>
-->
<?php  } ?>

<script type="text/javascript">

  $(function(){
    $( "#<?php echo $formSearch->getElement('identification')->get('id'); ?>" ).change(function() {
      alert( "Handler for .change() called."+$this );
    });
  });

</script>
<div class="col-md-12">    

  <div class="panel panel-default">
    <div class="panel-heading">
      <i class="fa fa-bar-chart-o fa-fw"></i>Chronologiques des US
      <div class="pull-right">                                
        <div class="btn-group">                                    
          <button aria-expanded="false" type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown">                                        Actions                                         
            <span class="caret"></span>                                    
          </button>                                    
          <ul class="dropdown-menu pull-right" role="menu">                                        
            <li>
              <a href="<?php echo $this->getRequest('Dashboard_Us', 'Export'); ?>?export_mode=total">
              <img src="<?php echo $request->getBaseUrl(); ?>/images/xls_hover.png" style="width:16px; height:16;" />Export
              </a>
            </li>                                        
            <!-- 
              <li><a href="#">Another action</a></li>                                        
              <li><a href="#">Something else here</a></li>                                        
              <li class="divider"></li>                                        
              <li><a href="#">Separated link</a></li>
            -->                                    
          </ul>                                
        </div>                            
      </div>
      
    </div>
    <div class="panel-body">
      <div id="optiontools" class="col-md-3">
        <form method="post" action="">      
          <div class="form-group">
            <label for="<?php echo $formSearch->getElement('identification')->get('id'); ?>">
            <?php echo $formSearch->getElement('identification')->get('label'); ?>
            </label>
            <?php echo $formSearch->getElement('identification')->getHtml(); ?>
          </div>          
        </form>  
      </div>
<?php if (!empty($uses) ) { ?>  
  <script type="text/javascript">
  
  $(function () {

    us_timeline_data = <?php echo $us_timeline_data ; ?>

    $('#us_periode').highcharts({
      chart: {
        type: 'columnrange',
        inverted: true
      },
      title: {
        text: 'Chronologiques des Unites Stratigraphiques'
      },
      subtitle: {
        text: '<?php echo $sitefouille_nom ; ?>'
      },
      xAxis: {
        // categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
        categories: us_timeline_data.categories,
      },
      yAxis: {
        title: {
          text: 'Chronologie'
        }
      },
      tooltip: {
        valueSuffix: ' '
      },
      plotOptions: {
        columnrange: {
          dataLabels: {
            enabled: true,
            formatter: function () {
              return this.y + ' ';
            }
          }
        }
      },
      legend: {
        enabled: false
      },
      series: [{
        name: 'Chronologie',
        data: us_timeline_data.series,
      }]
    });

  });
  </script>
   <div class="col-md-9">      
      <div id="us_periode"></div>
  </div>
 <?php } ?>      
    </div>
    <!-- <div class="panel-footer">Panel footer</div> -->
  </div>
</div>
